package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadJgStatusCommandResponse;

public class ReadJgStatusCommand extends ReadMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = -695129650895569926L;

	@Override
	public Class<ReadJgStatusCommandResponse> getResponseClass() {
		return ReadJgStatusCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询井盖状态命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READJGSTATUS;
	}

}
